"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EnumValuesHaveDescriptions = EnumValuesHaveDescriptions;

var _buildASTSchema = require("graphql/utilities/buildASTSchema");

var _validation_error = require("../validation_error");

function EnumValuesHaveDescriptions(configuration, context) {
  return {
    EnumValueDefinition(node, key, parent, path, ancestors) {
      if (node.description && node.description.value != '') {
        return;
      }

      const enumValue = node.name.value;
      const parentName = ancestors[ancestors.length - 1].name.value;
      context.reportError(new _validation_error.ValidationError('enum-values-have-descriptions', `The enum value \`${parentName}.${enumValue}\` is missing a description.`, [node]));
    }

  };
}